XSObject (XML Schema API)
Date: 2014-11-21

org.apache.xerces.xs

## Interface XSObject

- All Known Subinterfaces:
    XSAnnotation, XSAttributeDeclaration, XSAttributeGroupDefinition, XSAttributeUse, XSComplexTypeDefinition, XSElementDeclaration, XSFacet, XSIDCDefinition, XSModelGroup, XSModelGroupDefinition, XSMultiValueFacet, XSNotationDeclaration, XSParticle, XSSimpleTypeDefinition, XSTerm, XSTypeDefinition, XSWildcard

      public interface XSObject

  The `XSObject` is a base object for the XML Schema component model.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` The name of type `NCName`, as defined in XML Namespaces, of this declaration specified in the `{name}` property of the component or `null` if the definition of this component does not have a `{name}` property.
    `java.lang.String` | `getNamespace()` The [target namespace] of this object, or `null` if it is unspecified.
    `XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `short` | `getType()` The `type` of this object, i.e.

- - ### Method Detail

    - #### getType

          short getType()

      The `type` of this object, i.e. `ELEMENT_DECLARATION`.

    - #### getName

          java.lang.String getName()

      The name of type `NCName`, as defined in XML Namespaces, of this declaration specified in the `{name}` property of the component or `null` if the definition of this component does not have a `{name}` property. For anonymous types, the processor must construct and expose an anonymous type name that is distinct from the name of every named type and the name of every other anonymous type.

    - #### getNamespace

          java.lang.String getNamespace()

      The [target namespace] of this object, or `null` if it is unspecified.

    - #### getNamespaceItem

          XSNamespaceItem getNamespaceItem()

      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.